# -*- mode:python; coding:utf-8 -*-

# Copyright (c) 2020 IBM Corp. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
"""Core settings module."""

from pydantic import BaseSettings


class Settings(BaseSettings):
    """Store various settings."""

    # Add more settings as required
    # See https://pydantic-docs.helpmanual.io/usage/settings/ for various options

    # Path to a tmp directory
    tmp_dir: str = './tmp'

    class Config:
        """Override various config options."""

        env_file = '.env'
        env_file_encoding = 'utf-8'
